%define major           1
%define libname         %mklibname xwidgets %{major}
%define develname       %mklibname xwidgets -d

Name:           xwidgets
Version:        0.24.1
Release:        %mkrel 1
Summary:        C++ backend for Jupyter interactive widgets

License:        BSD
URL:            https://github.com/jupyter-xeus/xwidgets
Source0:        https://github.com/jupyter-xeus/xwidgets/archive/%{version}/%{name}-%{version}.tar.gz
Group:          System/Libraries

BuildRequires:  cmake >= 3.8
BuildRequires:  cmake(xeus) >= 0.24.1
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(xtl) >= 0.5
BuildRequires:  cmake(xproperty)
BuildRequires:  cmake(cppzmq)
BuildRequires:  doxygen
BuildRequires:  gcc-c++

%description
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{develname}
Summary:        %{summary}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Group:          System/Libraries
Requires: xtl-devel

%description -n %{develname}
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DDISABLE_ARCH_NATIVE=1
%make_build -C build

%install
%make_install -C build

%check
cd build
ctest -V

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxwidgets.so.1*

%files -n %{develname}
%{_includedir}/xwidgets/
%{_libdir}/cmake/xwidgets/
%{_libdir}/libxwidgets.so


%changelog
* Tue Dec 15 2020 joequant <joequant> 0.24.1-1.mga8
+ Revision: 1657605
- update to 0.24.1
- do not use march=native

* Fri Aug 07 2020 joequant <joequant> 0.20.1-4.mga8
+ Revision: 1611735
- add xtl-devel

* Wed Aug 05 2020 joequant <joequant> 0.20.1-3.mga8
+ Revision: 1611252
- add requires

* Mon Jul 27 2020 joequant <joequant> 0.20.1-2.mga8
+ Revision: 1609218
- rebuild

* Mon Jul 27 2020 joequant <joequant> 0.20.1-1.mga8
+ Revision: 1609213
- fix deps
- add cmake
- imported package xwidgets

